const getRequiredParams = (table) => (table &&
    (("query" in table &&
        ("params" in table ? [] : table.query.paramsRequired)) ||
        ("insight" in table && table.params))) ||
    [];
const getRegisteredParams = (table) => (table &&
    (("query" in table &&
        ("params" in table ? table.params : table.query.registeredParams)) ||
        ("insight" in table && table.registeredParams))) ||
    {};
export const tableParams = (table) => getRequiredParams(table)
    .map((param) => ({ name: param, type: "" }))
    .concat(Object.values(getRegisteredParams(table)));
//# sourceMappingURL=tableParams.js.map